Schedule Baseline Audit
Schedules a baseline audit for a single agent. A baseline audit shows the configuration of the system in its original state. Typically a baseline audit is performed when a system is first set up.
PUT /assetmgmt/audit/baseline/{agentId}/schedule
- Does not accept filter and sort expressions.
- This is an action API; no business data is returned or changed.
Headers
- Authorization: Bearer {hash string returned from Authentication}
Model Schema
Sample Request Model
|
Field |
Datatype |
Filterable |
Sortable |
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
RecurrenceOptions
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
DistributionWindow
|
|
|
|
|
|
|
|
|
|
StartOptions
|
|
|
|
|
|
|
|
|
|
ExclusionWindow
|
|
|
|
|
|
|
|
|
|
Sample Request Model
{ "Recurrence": {"Repeat": "Never",
"Times": 0,
"DaysOfWeek": "string",
"DayOfMonth": "FirstSunday",
"SpecificDayOfMonth": 0,
"MonthOfYear": "January",
"EndAt": "T0000",
"EndOn": "2015-08-06T16:19:39.218Z",
"EndAfterIntervalTimes": 0
},
"Distribution": {"Interval": "Minutes",
"Magnitude": 0
},
"Start": {"StartOn": "2015-08-06T16:19:39.218Z",
"StartAt": "T0000"
},
"Exclusion": {"From": "T0000",
"To": "T0000"
},
"Attributes": {}}